/*
 *  Copyright 2007 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) TCP/IP_Network_Developers_Kit 1.93.00.09 08-16-2007 (ndk-c09)
 */
//
//  Copyright 2000, 2001 by Texas Instruments Incorporated.
//  All rights reserved. Property of Texas Instruments Incorporated.
//  Restricted rights to use, duplicate or disclose this code are
//  granted through contract.
//

// Just a quick include file to define the servers in this directory

// TCP/UDP/OOB Echo server
extern void echosrv();
extern void oobsrv();
extern void datasrv();
extern void nullsrv();

extern int dtask_tcp_echo( SOCKET s, UINT32 unused );
extern int dtask_udp_echo( SOCKET s, UINT32 unused );
extern int dtask_tcp_datasrv( SOCKET s, UINT32 unused );
extern int dtask_tcp_nullsrv( SOCKET s, UINT32 unused );
extern int dtask_tcp_oobsrv( SOCKET s, UINT32 unused );


#ifdef _INCLUDE_IPv6_CODE
extern void v6echosrv();
extern int dtask_tcp_echo6( SOCKET s, UINT32 unused );
extern int dtask_udp_echo6( SOCKET s, UINT32 unused );
#endif
